//
// Hero.h
//

#include "GameObject.h"
#include "EventKeyboard.h"
#include "EventNuke.h"

class Hero : public GameObject {

 protected:
  int fire_slowdown;
  int fire_countdown;
  int nuke_count;
  int mine_count;
  int lives;
  void kbd(EventKeyboard *keyboard_event);
  void move(int dy);
  void fire();
  void step();
  void nuke();
  void dead();
  void dropMine();

 public:
  Hero();
  ~Hero();
  void hit();
  int eventHandler(Event *e);
};

