//
// GameObjectListIterator.h
//

#ifndef __GAME_OBJECT_LIST_ITERATOR_H__
#define __GAME_OBJECT_LIST_ITERATOR_H__

#include "GameObjectList.h"

class GameObjectList;

class GameObjectListIterator {

 private:
  int index;
  const GameObjectList *pList;

 public:
  GameObjectListIterator(const GameObjectList *pL);
  ~GameObjectListIterator();
  void first();
  void next();
  bool isDone();
  GameObject *currentObj();
};

#endif // __GAME_OBJECT_LIST_ITERATOR_H__
